;;; This file is part of turtle, a turtle-graphics system for Scheme.

;;; Copyright (C) 2008  Luca Saiu

;;; This program is free software: you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation, either version 3 of the License, or
;;; (at your option) any later version.

;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.

;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


(define (random-between minimum maximum)
  (let ((random-between-0-and-1 (random 1.0)))
    (+ minimum 
       (* random-between-0-and-1 maximum))))

(hide)
(while #t
       (left (random-between -180 180))
       (move (random-between -1 10))
       (if (zero? (random 2000))
           (begin
             (home)
             (clear))))
